---
title: font-synthesis
slug: Web/CSS/font-synthesis
tags:
  - CSS
  - CSS Fonts
  - CSS Property
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>font-synthesis</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property controls which missing typefaces, bold or italic, may be synthesized by the browser.</p>

<div>{{EmbedInteractiveExample("pages/css/font-synthesis.html")}}</div>

<h2 id="Syntax">Syntax</h2>

<p>This property can take any one of the following forms:</p>

<ul>
 <li>The keyword value <code>none</code>.</li>
 <li>Either of the keyword values <code>weight</code> and <code>style</code>.</li>
 <li>Both the keyword values <code>weight</code> and <code>style</code>.</li>
</ul>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>none</code></dt>
 <dd>Indicates that neither bold nor italic typeface may be synthesized.</dd>
 <dt><code>weight</code></dt>
 <dd>Indicates that a bold typeface may be synthesized if needed.</dd>
 <dt><code>style</code></dt>
 <dd>Indicates that an italic typeface may be synthesized if needed.</dd>
</dl>

<h2 id="Description">Description</h2>

<p>Most standard Western fonts include italic and bold variants, but many novelty fonts do not. Fonts used for Chinese, Japanese, Korean and other logographic scripts tend not to include these variants, and synthesizing them may impede the legibility of the text. In these cases, it may be desirable to switch off the browser's default font-synthesis.</p>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Disabling_font_synthesis">Disabling font synthesis</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;em class="syn"&gt;Synthesize me! 站直。&lt;/em&gt;
&lt;br/&gt;
&lt;em class="no-syn"&gt;Don't synthesize me! 站直。&lt;/em&gt;
</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">em {
  font-weight: bold;
}
.syn {
  font-synthesis: style weight;
}
.no-syn {
  font-synthesis: none;
}
</pre>

<h4 id="Result">Result</h4>

<p>{{ EmbedLiveSample('Disabling_font_synthesis', '', '50') }}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Fonts', '#propdef-font-synthesis', 'font-synthesis')}}</td>
   <td>{{Spec2('CSS3 Fonts')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.font-synthesis")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref("font-style")}}</li>
 <li>{{cssxref("font-weight")}}</li>
</ul>
